/*+-------------------------------------------------------------------------
	proc.h
	wht@n4hgf.Mt-Park.GA.US
--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:07-25-1991-12:59-wht@n4hgf-ECU release 3.10 */
/*:08-14-1990-20:40-wht@n4hgf-ecu3.00-flush old edit history */


typedef struct lcb_type
{
	ESD *text;				/* line's text buffer */
	struct lcb_type *next;	/* next lcb in chain; if==NULL, no more in chain */
	struct lcb_type *prev;	/* previous lcb in chain; if==NULL, top of chain */
	ushort lineno;			/* line number */
} LCB;

typedef struct pcb_type
{
	int argc;
	char **argv;
	LCB *first;			/* first in procedure */
	LCB *last;			/* last in procedure */
	LCB *current;		/* currently executing or last executed line */
	char *mkvs_last;	/* actually MKV *, but ... */
	char *mkvi_last;	/* ... see var.c for details */
} PCB;

#define MAX_PARGV 20	/* max args to procedure, including name */
#define PROC_STACK_MAX	10	/* max proc nest */
