/*
 *	@(#)smap.h	1.1	30/08/88	16:07:36	agc
 *
 *	Copyright 1988, Joypace Ltd., UK. This product is "careware".
 *	If you find it useful, I suggest that you send what you think
 *	it is worth to the charity of your choice.
 *
 *	Alistair G. Crooks,				+44 5805 3114
 *	Joypace Ltd.,
 *	2 Vale Road,
 *	Hawkhurst,
 *	Kent TN18 4BU,
 *	UK.
 *
 *	UUCP Europe                 ...!mcvax!unido!nixpbe!nixbln!agc
 *	UUCP everywhere else ...!uunet!linus!nixbur!nixpbe!nixbln!agc
 *
 *	smap.h - include file for debugging aids. This file must be included,
 *	before any calls, in any source file that calls malloc, calloc,
 *	realloc, or free. (Note alloca is not included in this list).
 */
/*+:EDITS:*/
/*:07-25-1991-12:59-wht@n4hgf-ECU release 3.10 */
/*:08-14-1990-20:40-wht@n4hgf-ecu3.00-flush old edit history */

#ifndef WHT
#define NOMEMCHECK
#endif

#ifndef __GNUC__
#if !defined(VTYPE)
#if defined(__STDC__)	/* sigh ... malloc and such types */
#define VTYPE void
#else
#define VTYPE char
#endif
#endif

#ifdef NOMEMCHECK
#define	_blkstart()
#define _blkend()
#define _blkignore(p)
VTYPE *malloc();
VTYPE *calloc();
VTYPE *realloc();
#if !defined(sun)
void free();
#endif
#else /* not NOMEMCHECK */
#ifndef malloc
#define malloc	_malloc
#define calloc	_calloc
#define realloc	_realloc
#define free	_free
VTYPE *_malloc();
VTYPE *_calloc();
VTYPE *_realloc();
#if !defined(sun)
void _free();
#endif
#endif /* not malloc */
void	_blkstart();
void	_blkend();
void	_blkignore();
#endif /* not NOMEMCHECK */

#endif /* __GNUC__ */
